> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign an annotation configuration to a project

> Assign an annotation configuration to a project. This operation is idempotent: re-assigning a config that is already assigned is a no-op that returns the config. Both the project and the config are identified by either ID or name.



## OpenAPI

````yaml put /v1/projects/{project_identifier}/annotation_configs/{config_identifier}
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/projects/{project_identifier}/annotation_configs/{config_identifier}:
    put:
      tags:
        - annotation_configs
      summary: Assign an annotation configuration to a project
      description: >-
        Assign an annotation configuration to a project. This operation is
        idempotent: re-assigning a config that is already assigned is a no-op
        that returns the config. Both the project and the config are identified
        by either ID or name.
      operationId: assignAnnotationConfigToProject
      parameters:
        - name: project_identifier
          in: path
          required: true
          schema:
            type: string
            description: 'The project identifier: either project ID or project name.'
            title: Project Identifier
          description: 'The project identifier: either project ID or project name.'
        - name: config_identifier
          in: path
          required: true
          schema:
            type: string
            description: 'The annotation configuration identifier: either ID or name.'
            title: Config Identifier
          description: 'The annotation configuration identifier: either ID or name.'
      responses:
        '200':
          description: The annotation configuration assigned to the project
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/AssignAnnotationConfigToProjectResponseBody
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Not Found
        '422':
          description: Unprocessable Entity
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    AssignAnnotationConfigToProjectResponseBody:
      properties:
        data:
          oneOf:
            - $ref: '#/components/schemas/CategoricalAnnotationConfig'
            - $ref: '#/components/schemas/ContinuousAnnotationConfig'
            - $ref: '#/components/schemas/FreeformAnnotationConfig'
          title: Data
          discriminator:
            propertyName: type
            mapping:
              CATEGORICAL:
                $ref: '#/components/schemas/CategoricalAnnotationConfig'
              CONTINUOUS:
                $ref: '#/components/schemas/ContinuousAnnotationConfig'
              FREEFORM:
                $ref: '#/components/schemas/FreeformAnnotationConfig'
      type: object
      required:
        - data
      title: AssignAnnotationConfigToProjectResponseBody
    CategoricalAnnotationConfig:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: CATEGORICAL
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        optimization_direction:
          $ref: '#/components/schemas/OptimizationDirection'
        values:
          items:
            $ref: '#/components/schemas/CategoricalAnnotationValue'
          type: array
          title: Values
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - type
        - optimization_direction
        - values
        - id
      title: CategoricalAnnotationConfig
    ContinuousAnnotationConfig:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: CONTINUOUS
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        optimization_direction:
          $ref: '#/components/schemas/OptimizationDirection'
        lower_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Lower Bound
        upper_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Upper Bound
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - type
        - optimization_direction
        - id
      title: ContinuousAnnotationConfig
    FreeformAnnotationConfig:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: FREEFORM
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        optimization_direction:
          anyOf:
            - $ref: '#/components/schemas/OptimizationDirection'
            - type: 'null'
        threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Threshold
        lower_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Lower Bound
        upper_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Upper Bound
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - type
        - id
      title: FreeformAnnotationConfig
    OptimizationDirection:
      type: string
      enum:
        - MINIMIZE
        - MAXIMIZE
        - NONE
      title: OptimizationDirection
    CategoricalAnnotationValue:
      properties:
        label:
          type: string
          title: Label
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
      type: object
      required:
        - label
      title: CategoricalAnnotationValue

````